package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.hidden.HiddenSchemeMapper;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CustomHiddenSchemeMapper;
import com.zcloud.service.hidden.HiddenSchemeService;
import com.zcloud.service.hiddenDangerCheckStandard.CustomHiddenSchemeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：隐患整改方案
 * 作者：luoxiaobao
 * 时间：2021-01-15
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CustomHiddenSchemeServiceImpl implements CustomHiddenSchemeService {

	@Autowired
	private CustomHiddenSchemeMapper customHiddenSchemeMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		customHiddenSchemeMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		customHiddenSchemeMapper.delete(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteHd(PageData pd)throws Exception{
		customHiddenSchemeMapper.deleteHd(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		customHiddenSchemeMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return customHiddenSchemeMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return customHiddenSchemeMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return customHiddenSchemeMapper.findById(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByHdId(PageData pd)throws Exception{
		return customHiddenSchemeMapper.findByHdId(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		customHiddenSchemeMapper.deleteAll(ArrayDATA_IDS);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listExport(PageData pd)throws Exception{
		return customHiddenSchemeMapper.listExport(pd);
	}
}

